ublas: boost::numeric::ublas::bounded_vector< T, N > Class Template Reference

# boost::numeric::ublas::bounded_vector< T, N > Class Template Reference

a dense vector of values of type `T`, of variable size but with maximum . A dense vector of values of type `T`, of variable size but with maximum . The default constructor creates the vector with size . Elements are constructed by the storage type `bounded_array`, which need not initialise their value.

Inherits vector< T, bounded_array< T, N > >.

List of all members.

## Public Types

typedef vector_type::size_type | size_type

## Public Member Functions

BOOST_UBLAS_INLINE | bounded_vector (size_type size)
BOOST_UBLAS_INLINE | bounded_vector (const bounded_vector &v)
template<class A2 >
BOOST_UBLAS_INLINE | bounded_vector (const vector< T, A2 > &v)
template<class AE >
BOOST_UBLAS_INLINE | bounded_vector (const vector_expression< AE > &ae)
BOOST_UBLAS_INLINE bounded_vector & | operator= (const bounded_vector &v)
template<class A2 >
BOOST_UBLAS_INLINE bounded_vector & | operator= (const vector< T, A2 > &v)
template<class C >
BOOST_UBLAS_INLINE bounded_vector & | operator= (const vector_container< C > &v)
| Assign a full vector (RHS-vector) to the current vector (LHS-vector) Assign a full vector (RHS-vector) to the current vector (LHS-vector). This method does not create any temporary.
template<class AE >
BOOST_UBLAS_INLINE bounded_vector & | operator= (const vector_expression< AE > &ae)
| Assign the result of a vector_expression to the vector Assign the result of a vector_expression to the vector. This is lazy-compiled and will be optimized out by the compiler on any type of expression.

## Static Public Attributes

static const size_type | max_size = N

### template<class T, std::size_t N>
class boost::numeric::ublas::bounded_vector< T, N >

## Member Function Documentation

template<class T , std::size_t N>
template<class AE >

BOOST_UBLAS_INLINE bounded_vector& boost::numeric::ublas::bounded_vector< T, N >::operator= | ( | const vector_expression< AE > & | ae | ) |

Template Parameters:

  | AE | is the type of the vector_expression

Parameters:

  | ae | is a const reference to the vector_expression

Returns:
  a reference to the resulting vector

Reimplemented from boost::numeric::ublas::vector< T, bounded_array< T, N > >.

template<class T , std::size_t N>
template<class C >

BOOST_UBLAS_INLINE bounded_vector& boost::numeric::ublas::bounded_vector< T, N >::operator= | ( | const vector_container< C > & | v | ) |

Parameters:

  | v | is the source vector container

Returns:
  a reference to a vector (i.e. the destination vector)

Reimplemented from boost::numeric::ublas::vector< T, bounded_array< T, N > >.